VegBank - Bug #703

Enter 1996 & 2002 USDA Plants List
11/13/2002 01:44 PM - Michael Lee

Status: Resolved Start date: 11/13/2002
Priority: Normal Due date:

Assignee: Gabriel Farrell % Done: 0%
Category: misc Estimated time: 0.00 hour
Target version: 1.2.0 Spent time: 0.00 hour
Bugzilla-ld: 703

Description

Need to test. Would help if JH were again to provide an Access style dump of
some or all of the data.

Related issues:
Blocks VegBank - Bug #685: Redesign plant taxonomy data model
Blocks VegBank - Bug #696: Implement reference and party-related database cha...

Blocks VegBank - Bug #700: Implement redesigned plant taxonomy data model

Resolved 11/13/2002
Resolved 11/13/2002
Resolved 11/13/2002

History

#1 - 01/08/2003 09:58 PM - John Harris

After the taxonomy databases have been modified to include the new references
and name systems and are built and the code works the 1996 & 2002 USDA plant
data will have to be re-loaded

#2 - 02/14/2003 03:45 PM - Gabriel Farrell

vegbank has had it current data migrated into the new data model.

We will need the confirm that the loader is correct on the test machine before
it is of value to load this onto vegbank.

#3 - 02/14/2003 07:48 PM - Gabriel Farrell

Look at how plants are loaded on tekka or beta to confirm correctness

#4 - 05/02/2003 06:21 PM - Michael Lee

this evaluation is captured in bug 702

e This bug has been marked as a duplicate of 702 ***

#5 - 07/03/2003 09:55 AM - Michael Lee

Families need to be loaded with loader as well. Lee has fixed the current
VegBAnk plants by loading families manually and updating genera to having
families as parents. The loader needs to be updated to do this as USDA plants
are loaded.

Families should be loaded based on the family name (ie Poaceae), with status of

"accepted" and a usage of the same family name (Poaceae) as "scientific without
Authors" name system.

#6 - 07/11/2003 02:16 PM - Gabriel Farrell

Plants are now loaded according to comment #5 .
Plants that are a genus use there family as a parent.

Family parents and the loading of categories higher than family are not loaded.
There should be a script that loads these checked into cvs.

Ideally an ant task should be designated for this step ( or at should be
documented in the "/vegbank/veg_taxa/README" file.

#7 - 01/31/2005 02:54 PM - Michael Lee
https://projects.ecoinformatics.org/ecoinfo/issues/5

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#8 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 703
